Bug 46769 - librelp: Multiple issues (4.2)
librelp: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
All Linux
: P3 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-04 16:56 CEST by Philipp Hahn
Modified: 2018-04-18 14:16 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 9.8 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2018-04-04 16:56:03 CEST
New Debian librelp 1.2.7-2+deb8u1 fixes:
This update addresses the following issue:
* librelp contains a Buffer Overflow vulnerability in the checking of x509
  certificates from a peer that can result in Remote code execution. This
  attack appear to be exploitable a remote attacker that can connect to
  rsyslog and trigger a stack buffer overflow by sending a specially crafted
  x509 certificate. (CVE-2018-1000140)

CVE-2018-1000140 librelp: Stack-based buffer overflow in relpTcpChkPeerName function in src/tcp.c
Comment 1 Philipp Hahn univentionstaff 2018-04-04 17:04:44 CEST
[4.2-3] f1f1a0485b Bug #46769: librelp_1.2.7-2+deb8u1
Comment 2 Arvid Requate univentionstaff 2018-04-12 20:12:09 CEST
Verified:
* Upstream binary imported into errata4.2-3
* No additional UCS patches in 4.2
* Package update: Ok
* Advisory: Ok
Comment 3 Arvid Requate univentionstaff 2018-04-18 14:16:03 CEST
<http://errata.software-univention.de/ucs/4.2/338.html>